float engamma(float lvalue, float gamma);
float degamma(float gvalue, float gamma);

void XYZ_to_LUV(float X, float Y, float Z, float *L, float *ustar,float *vstar);
void XYZ_to_LAB(float X, float Y, float Z, float *L, float *astar,float *bstar);
void XYZ_to_RLAB(float X, float Y, float Z, float *Lr, float *Ar, float *Br);
void XYZ_to_SLAB(float X, float Y, float Z, float *Yy, float *Cx, float *Cz);
void XYZ_to_LHS(float X, float Y, float Z, float *L, float *Hue, float *Sat);
void XYZ_to_RGB(float X, float Y, float Z, float *R, float *G, float *B);

void LUV_to_XYZ(float L, float ustar, float vstar, float *X, float *Y,float *Z);
void LAB_to_XYZ(float L, float astar, float bstar, float *X, float *Y,float *Z);
void RLAB_to_XYZ(float Lr, float Ar, float Br, float *X, float *Y, float *Z);
void SLAB_to_XYZ(float Yy, float Cx, float Cz, float *X, float *Y, float *Z);
void LHS_to_XYZ(float L, float Hue, float Sat, float *X, float *Y, float *Z);

void RGB_to_XYZ(float R, float G, float B, float *X, float *Y, float *Z);
void RGB_to_LAB(float R, float G, float B, float *L, float *astar,float *bstar);
void LAB_to_RGB(float L, float astar, float bstar, float *R, float *G,float *B);
void GcRGB_to_LAB(float R, float G, float B, float *L, float *astar,float *bstar);
void LAB_to_GcRGB(float L, float astar, float bstar, float *R, float *G,float *B);
void RGB_to_YCbCr(float R, float G, float B, float *Y, float *Cb, float *Cr);
void YCbCr_to_RGB(float Y, float Cb, float Cr, float *R, float *G, float *B);  
void setwhitepoint(float R, float G, float B);
