#include "training.h"
#include "defs.h"

int runCommand( char *command ) ;  /* train_comm.c */

/******************************************************************************/
/*  Creat a folder, if exists, give a warning */ 
/******************************************************************************/
int creat_folder_warning(char *Dir, char *st1)  
{
  char command[512] ;
   
  sprintf(command, "ls %s > rp_ls", Dir) ;
  if ( runCommand(command) != 0 ) {  /* tempary folder does not exist */

	  sprintf(command, "mkdir %s", Dir) ;
	  if ( runCommand(command) != 0) {
    	  fprintf(stderr, "ERROR: %s failed.\n", command) ;
    	  goto Bad ;
	  }
  } else {
      
      fprintf(stderr, "WARNING: folder %s exists.\n", Dir) ;
      fprintf(stderr, "WARNING: %s.\n", st1) ;
  }
  system("rm -f rp_ls") ;
  
  return(TRUE) ;
  
Bad:
  return(FALSE) ; 
}  
  
  
  
/******************************************************************************/
/*  Creat a folder, if exists, give an error  */
/******************************************************************************/
int creat_folder_error(char *Dir, char *st1)  
{
  char command[512] ;
   
  /* creat folder for saving parameters */
  sprintf(command, "ls %s > rp_ls", Dir) ;
  if ( runCommand(command) != 0 ) {  /* folder does not exist */

	  sprintf(command, "mkdir %s", Dir) ;
	  if ( runCommand(command) != 0) {
    	  fprintf(stderr, "ERROR: %s failed.\n", command) ;
    	  goto Bad ;
	  }
  } else {

      fprintf(stderr, "ERROR: folder %s exists.", Dir) ;
      fprintf(stderr, "ERROR: %s.\n", st1) ;
      goto Bad ;
  }
  system("rm -f rp_ls") ;
  
  return(TRUE) ;
  
Bad:
  return(FALSE) ;

}



/******************************************************************************/
/*  To check if a folder exists or not.  If exists, return (TRUE).  */
/******************************************************************************/
int folder_exists(char *Dir)  
{
  char command[512] ;
   
  /* creat folder for saving parameters */
  sprintf(command, "ls %s > rp_ls", Dir) ;
  if ( runCommand(command) != 0 ) {  /* folder does not exist */

      system("rm -f rp_ls") ;
      return(FALSE) ;

  } 
  
  system("rm -f rp_ls") ;
  return(TRUE) ;
  
}
