#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "randlib.h"   /*  Previously missing. Caused many wierd problems.
                           GF, 3/25/02 */

/* following lines inserted as prototype ? */

void srandom2(unsigned long num);
double random2();
/*end of prototpyes */

void FileOpenErr(char *str)
{
	fprintf(stderr,"Can not open %s.\n",str);
	exit(-1) ;
}


void LogCheck(char *str, double logcheck)
{
	fprintf(stderr,"%s,%lf.\n",str,logcheck);
	exit(-2) ;
}

void InvalidValue(char *str, double value)
{
	fprintf(stderr,"%s,%lf.\n",str,value);
	exit(-2) ;
}


void CheckClassNumber(char *str, int value, int ml, int mh)
{
	if((value>=mh) || (value<ml)) {
		fprintf(stderr,"Invalid Class Number %d, %s.\n",value, str);
		exit(-3) ;
	}
}


void Conflict(char *str,int ivalue1,int ivalue2)
{
    if(ivalue1!=ivalue2) {
	fprintf(stderr,"Conflict,%s,%d,%d\n",str,ivalue1,ivalue2);
	exit(-4) ;
    }
}


void NullPt(char *str)
{
	fprintf(stderr,"NullPt,%s\n",str);
	exit(-4) ;
}


void FeofErr(char *str)
{
	fprintf(stderr,"Not enough data in %s.\n",str);
	exit(-5) ;
}



void  RandInitial()
{
  unsigned long seed ;
  double randn ;
  int i ;

  /* Initial random number generator */

  seed = time(NULL) % 10000 ;
  seed = seed * seed % 10000 ;
  printf("seed = %d \n", (int) seed) ;
  srandom2(seed) ;
  srand(seed) ;
  for(i=1; i<10; i++)     randn = random2() ;

}
